Bio::DB::GFF::Aggregator::match(3)

NAME
Bio::DB::GFF::Aggregator::match -- Match aggregator

SYNOPSIS
  use Bio::DB::GFF;

  # Open the sequence database
  my $db      = Bio::DB::GFF->new( -adaptor => 'dbi:mysql',
                                   -dsn     => 'dbi:mysql:elegans42',
                                   -aggregator => ['match'],
                                 );

 -------------------------------------------------
 Aggregator method: match
 Main method:       match
 Sub methods:       similarity HSP
 -------------------------------------------------

DESCRIPTION
This aggregator is used for Sequence Ontology-compatible gapped alignments, in which there is a single top-level alignment called "match" and a series of subalignments called either "similarity" or "HSP".

Also see the "alignment" aggregator.

  method
 Title   : method
 Usage   : $aggregator->method
 Function: return the method for the composite object
 Returns : the string "match"
 Args    : none
 Status  : Public

  part_names
 Title   : part_names
 Usage   : $aggregator->part_names
 Function: return the methods for the sub-parts
 Returns : the list "similarity", "HSP"
 Args    : none
 Status  : Public

  main_name
 Title   : main_name
 Usage   : $aggregator->main_name
 Function: return the method for the main component
 Returns : the string "match"
 Args    : none
 Status  : Public

BUGS
None reported.

SEE ALSO
Bio::DB::GFF, Bio::DB::GFF::Aggregator

AUTHOR
Lincoln Stein <lstein@cshl.org>.

Copyright (c) 2001 Cold Spring Harbor Laboratory.

This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself.